رفتن به محتوا

CSM-1B

یکپارچه‌سازی

شناسه مدل csm-1b
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/csm-1b?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "scene": [
      {
        "speaker_id": 0,
        "text": "Hey how are you doing."
      },
      {
        "speaker_id": 1,
        "text": "Pretty good, pretty good."
      },
      {
        "speaker_id": 0,
        "text": "I'\''m great, so happy to be speaking to you."
      }
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

این درخواست: ≈⁨‎$۰٫۰۳⁩ ۳۰ اعتبار API اجرای آن در این صفحه

دریافت کلید API
Sesame متن به گفتار #conversational#text-to-speech

مدل گفتار از متن مکالمه‌ای که صحنه‌ای از جمله‌ها را به‌همراه زمینه صوتی اختیاری دریافت می‌کند

Sesame · صوت

اولین نتیجه شما اینجا قرار می‌گیرد

درخواست را در زیر بسازید و با کلید API خود اجرا کنید. خروجی‌ها در فضای ذخیره‌سازی ما کپی می‌شوند و برای همیشه یا به‌مدت ۷ روز رایگان نگه‌داری می‌شوند.

ساخت درخواست

کنترل‌ها از شِمای مدل تولید می‌شوند. با تغییر آن‌ها، کد و قیمت به‌روزرسانی می‌شوند.

•الزامی

متن منبع برای تولید صوت.

پیشرفته context

زمینه منبع برای تولید صوت.

POST /run/csm-1b?wait=20 قیمت → ⁨‎$۰٫۰۳⁩
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/csm-1b?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "scene": [
      {
        "speaker_id": 0,
        "text": "Hey how are you doing."
      },
      {
        "speaker_id": 1,
        "text": "Pretty good, pretty good."
      },
      {
        "speaker_id": 0,
        "text": "I'\''m great, so happy to be speaking to you."
      }
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

اجرای این درخواست

کلید شما در این مرورگر باقی می‌ماند: فقط به Doitong API ارسال می‌شود و فقط در صورت فعال‌کردن گزینه «یادآوری»، در localStorage ذخیره می‌شود. دریافت کلید API

درباره CSM-1B

از `scene` الزامی، آرایه‌ای از اشیای دارای متن گفتاری، گفتار تولید می‌کند. آرایه `context` اختیاری نوبت‌های قبلی مکالمه را برای شکل‌دهی به نحوه بیان ارائه می‌دهد. نتیجه یک خروجی صوتی واحد است. برای گفتار سبک دیالوگ ساخته شده است.

پارامترها

نامنوع پیش‌فرضمجاز توضیحات
sceneالزامی
نوعobject[]
متن منبع برای تولید صوت.
scene[].speaker_idالزامی
نوعinteger
scene[].textالزامی
نوعstring
contextاختیاری
نوعobject[]
زمینه منبع برای تولید صوت.
context[].promptالزامی
نوعstring
context[].speaker_idالزامی
نوعinteger
context[].audio_urlالزامی
نوعurl · audio
الزامی

خروجی

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "csm-1b",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 30,
    "usd": "0.03",
    "charged": 30,
    "refunded": 0
  },
  "input": {
    "scene": [
      {
        "speaker_id": 0,
        "text": "Hey how are you doing."
      },
      {
        "speaker_id": 1,
        "text": "Pretty good, pretty good."
      },
      {
        "speaker_id": 0,
        "text": "I'm great, so happy to be speaking to you."
      }
    ]
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
فایل‌های شما، انتخاب شماهر outputs[].url کپی‌ای در فضای ذخیره‌سازی ماست: برای همیشه (با هزینه به‌ازای هر GB-ماه) یا به‌مدت ۷ روز رایگان، بر اساس تنظیم حساب شما یا ?storage=.
ساختار یکسان در همه مدل‌هاtype، url، content_type، width، height و duration برای تصاویر، ویدیو و صدا یکسان هستند. output شیء نتیجه اختصاصی مدل است.
فیلدهای خروجی
audio
object {url, content_type, file_name, file_size} | stringصوت تولیدشده توسط مدل.

برای عامل‌های هوش مصنوعی: این صفحه به‌صورت Markdown در دسترس است https://doitong.com/fa/developers/models/csm-1b.md. همه مدل‌ها و راهنماها: https://doitong.com/developers/llms.txt